{# @var craft \craft\web\twig\variables\CraftVariable #}
{% extends "tickit/_layouts" %}

{% set title = ("Priorities"|t) %}

{% block actionButton %}

    {#{% if currentUser.can("freeform-settingsManage") %}#}
        <div class="buttons">
            <a class="btn submit add icon" href="{{ url('tickit/priorities/new') }}">
                {{ "New Priority"|t }}
            </a>
        </div>
    {#{% endif %}#}

{% endblock %}

{% set priorities = craft.tickit.priorities.getAllPriorities() %}

{% set content %}
    <style>
        .color-indicator{display:inline-block;width:10px;height:10px;margin-right:5px;box-shadow:inset 0 0 1px rgba(0,0,0,0.6);border-radius:5px}
    </style>
    <div id="nopriorities"{% if priorities %} class="hidden"{% endif %}>
        <p>{{ "No priorities found"|t }}</p>
    </div>

    {% if priorities|length %}
        <table id="priorities" class="data fullwidth collapsible">
            <thead>
            <th scope="col">{{ "Name"|t }}</th>
            <th scope="col">{{ "Handle"|t }}</th>
            <th scope="col">{{ "Is Default"|t }}</th>
            <td class="thin"></td>
            </thead>
            <tbody>
            {% for priority in priorities %}
                <tr data-id="{{ priority.id }}" data-name="{{ priority.name|t }}">
                    <th scope="row" data-title="{{ 'Name'|t }}">
                        <span class="color-indicator" style="background: {{ priority.color }};"></span>
                        {% if currentUser.can("tickit-settingsManage") %}
                            <a href="{{ url('tickit/priorities/' ~ priority.id) }}">
                                {{ priority.name }}
                            </a>
                        {% else %}
                            {{ priority.name }}
                        {% endif %}
                    </th>
                    <td data-title="{{ 'Handle'|t }}">
                        <code>
                            {{ priority.handle }}
                        </code>
                    </td>
                    <td>{% if priority.isDefault %}<span data-icon="check"></span>{% endif %}</td>
                    <td class="thin">
                        {% if currentUser.can("tickit-settingsManage") %}
                            <a class="delete icon" title="{{ 'Delete'|t }}" role="button"></a>
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% endif %}
{% endset %}

{% js %}
    var adminTable = new Craft.AdminTable({
    tableSelector: '#priorities',
    noObjectsSelector: '#nopriorities',
    newObjectBtnSelector: '#newprioritycontainer',
    deleteAction: 'tickit/priorities/delete',
    confirmDeleteMessage: '{{ "Are you sure you want to delete this priority?"|t }}',
    sortable: false,
    //reorderAction: 'tickit/priorities/reorder',
    reorderSuccessMessage: '{{ "Success"|t }}',
    reorderFailMessage:    '{{ "Failed"|t }}',
    });
{% endjs %}